# IRdVertexNormalsStreamDisp Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumVertexNormals ([out, retval] RtDWORD *dwNumVertices)
HRESULT | SetNumVertexNormals ([in] RtDWORD dwNumVertexNormals)
## Properties
RtFloat * | x ([in] RtDWORD dwIndex)`[get]`
RtFloat | x ([in] RtDWORD dwIndex)`[set]`
RtFloat * | y ([in] RtDWORD dwIndex)`[get]`
RtFloat | y ([in] RtDWORD dwIndex)`[set]`
RtFloat * | z ([in] RtDWORD dwIndex)`[get]`
RtFloat | z ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdVertexNormalsStreamDisp Scriptable version of IRdVertexNormalsStream

The stream is cached stream. If present in mesh, it is stored in vertex stream group. Stream is identified by STREAMID_VERTEXES_NORMALS id.

## Member Function Documentation

HRESULT IRdVertexNormalsStreamDisp::GetNumVertexNormals | ( | [out, retval] RtDWORD * | dwNumVertices | ) |

Get number of normals.

Returns:
  dwNumVertices [out,retval] Returns number of normals in stream.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdVertexNormalsStreamDisp::SetNumVertexNormals | ( | [in] RtDWORD | dwNumVertexNormals | ) |

Set number of normals.

Parameters:

  | dwNumVertexNormals | [in] Number of vertex normals to set stream to.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtFloat* IRdVertexNormalsStreamDisp::x([in] RtDWORD dwIndex)`[get]`

Get X coordinate of i-th normal.

Parameters:

  | dwIndex | [in] Index value for normal.

Returns:
  pVal [out,retval] Filled with X coordinate of normal.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexNormalsStreamDisp::x([in] RtDWORD dwIndex)`[set]`

Set X coordinate of i-th normal.

Parameters:

  | dwIndex | [in] Index item.
  | newVal | [in] Filled with X coordinate to set for the normal.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdVertexNormalsStreamDisp::y([in] RtDWORD dwIndex)`[get]`

Get Y coordinate of i-th normal.

Parameters:

  | dwIndex | [in] Index item.

Returns:
  pVal [out, retval] filled with Y coordinate of normal.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexNormalsStreamDisp::y([in] RtDWORD dwIndex)`[set]`

Set Y coordinate of i-th normal.

Parameters:

  | dwIndex | [in] Index item.
  | newVal | [in] Filled with Y coordinate to set for normal.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdVertexNormalsStreamDisp::z([in] RtDWORD dwIndex)`[get]`

Get Z coordinate of i-th normal.

Parameters:

  | dwIndex | [in] Index item.

Returns:
  pVal [out, retval] Filled with Z coordinate of normal.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexNormalsStreamDisp::z([in] RtDWORD dwIndex)`[set]`

Set Z coordinate of i-th normal.

Parameters:

  | dwIndex | [in] Index item.
  | newVal | [in] Filled with Z coordinate for normal.

Returns:
  standard HRESULT processing can be applied to returned value.